﻿
<script type="text/ng-template" id="googleMapModal.html">
    <form class="form-horizontal" role="form">
        <div class="modal-header">
            <h3 class="modal-title yekan-font text-right">درج نقشه گوگل</h3>
        </div>
        <div class="modal-body yekan-font">
            <div class="row">
                <div class="form-group col-xs-12" ng-class="nameError ? 'has-error has-feedback' : ''">
                    <div class="col-xs-7">
                        <input type="text" ng-model="longitude" class="form-control english-text" id="latitude" placeholder="Longitude ...">
                    </div>
                    <label class="col-xs-5 control-label no-padding-right yekan-font text-right" for="latitude">طول جغرافیایی</label>
                </div>
                <div class="form-group col-xs-12" ng-class="{true: 'has-error has-feedback', false: ''}[emailError]">
                    <div class="col-xs-7">
                        <input type="text" ng-model="latitude" class="form-control english-text" id="longitude" placeholder="Latitude ...">
                    </div>
                    <label class="col-xs-5 control-label no-padding-right yekan-font text-right" for="longitude">عرض جغرافیایی</label>
                </div>
                <div class="form-group col-xs-12" ng-class="nameError ? 'has-error has-feedback' : ''">
                    <div class="col-xs-7">
                        <input type="text" ng-model="mLongitude" class="form-control english-text" id="mlatitude" placeholder="Markup Longitude ...">
                    </div>
                    <label class="col-xs-5 control-label no-padding-right yekan-font text-right" for="mlatitude">طول علامت روی نقشه</label>
                </div>
                <div class="form-group col-xs-12" ng-class="{true: 'has-error has-feedback', false: ''}[emailError]">
                    <div class="col-xs-7">
                        <input type="text" ng-model="mLatitude" class="form-control english-text" id="mlongitude" placeholder="Markup Latitude ...">
                    </div>
                    <label class="col-xs-5 control-label no-padding-right yekan-font text-right" for="mlongitude">عرض علامت روی نقشه</label>
                </div>
                <div class="form-group col-xs-12" ng-class="{true: 'has-error has-feedback', false: ''}[emailError]">
                    <div class="col-xs-7">
                        <input type="number" ng-model="zoom" class="form-control english-text" id="zoom" placeholder=Zoom ...">
                    </div>
                    <label class="col-xs-5 control-label no-padding-right yekan-font text-right" for="zoom">زوم نقشه</label>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-offset-2 col-sm-10">
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button class="btn btn-primary pull-right yekan-font" type="button" ng-click="close()" style="margin-left: 5px">بازگشت</button>
            <button type="submit" class="btn btn-success yekan-font pull-left" ng-click="insertMapScript()">درج</button>
        </div>
    </form>
</script>

<div class="page-content yekan-font">
    <div class="center-content-container">
        <div class="header content-header-yellow">
            <div class="row">
                <div class="col-md-12 text-right content-header-mid">
                    <span ng-bind="(editMode)?'ویرایش صفحه':'صفحه جدید'"></span>
                    <i class="fa fa-plus"></i>
                </div>
            </div>
        </div>
        <div class="white-panel">
            <div class="row">
                <div class="col-xs-12">
                    <form name="loginForm" class="form-horizontal" role="form">
                        <div class="form-group text-right col-xs-12">
                            <div class="col-xs-9  no-padding">
                                <span class="block input-icon input-icon-right">
                                    <input dir="rtl" type="text" class="form-control yekan-font text-right" placeholder="نام صفحه انگلیسی ..." name="title" ng-model="page.NameEN" />
                                </span>
                            </div>
                            <label class="col-xs-3 control-label no-padding-right yekan-font">نام صفحه انگلیسی</label>
                        </div>
                        <div class="form-group text-right col-xs-12">
                            <div class="col-xs-9 no-padding">
                                <span class="block input-icon input-icon-right">
                                    <input dir="rtl" type="text" class="form-control yekan-font text-right" placeholder="نام صفحه فارسی ..." name="title" ng-model="page.Name" />
                                </span>
                            </div>
                            <label class="col-xs-3 control-label no-padding-right yekan-font" for="email">نام صفحه فارسی</label>
                        </div>
                        <div class="form-group col-xs-12">
                            <button ng-click="openGoogleMapModal('fa')" class="btn btn-warning yekan-font">درج نقشه گوگل</button>
                            <button ng-click="insertWhitePanel('fa')" class="btn btn-info yekan-font">درج پنل سفید</button>
                        </div>
                        <div class="form-group col-xs-12">
                            <span class="col-xs-12 control-label no-padding-right yekan-font">: محتوا صفحه</span>
                        </div>

                        <div class="form-group col-xs-12">
                            <textarea style="resize: none;" name="message" ng-model="page.HtmlContent" class="form-control english-text" rows="20"></textarea>
                        </div>

                        <div class="form-group col-xs-12">
                            <button ng-click="openGoogleMapModal('en')" class="btn btn-warning yekan-font">درج نقشه گوگل انگلیسی</button>
                            <button ng-click="insertWhitePanel('en')" class="btn btn-info yekan-font">درج پنل سفید انگلیسی</button>
                        </div>
                        <div class="form-group col-xs-12">
                            <span class="col-xs-12 control-label no-padding-right yekan-font" >: محتوا صفحه انگلیسی</span>
                        </div>
                        <div class="form-group col-xs-12">
                            <textarea style="resize: none;" name="message" ng-model="page.HtmlContentEN" class="form-control english-text" rows="20"></textarea>
                        </div>
                        <div class="">
                            <button class="btn btn-success yekan-font" style="margin-top: 15px" ng-click="savePage()">
                                ثبت صفحه
                            </button>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

